Bug 101754 - ant does not build
ant does not build
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ant (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
:
: 101757 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-06 11:39 EDT by Michael Redinger
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-06 21:22:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Redinger 2003-08-06 11:39:52 EDT
The Taroon ant-1.5.2-14.src.rpm package does not build correctly
on Taroon (everything install) because there are failed dependencies:

error: Failed build dependencies:
        gcc-c++-ssa is needed by ant-1.5.2-14
        xerces-j-devel >= 2.2.1-4 is needed by ant-1.5.2-14
        commons-logging-devel >= 1.0.2-8 is needed by ant-1.5.2-14
        jakarta-regexp-devel >= 1.2-8 is needed by ant-1.5.2-14
        xalan-j-devel >= 2.4.1-4 is needed by ant-1.5.2-14
        bcel-devel >= 5.0-6 is needed by ant-1.5.2-14

gcc-c++-ssa: not available
xerces-j-devel: not available, but xerces-j is
commons-logging-devel: not available, but commons-logging is
jakarta-regexp-devel: not available, but jakarta-regexp is
xalan-j-devel: not available, but xalan-j is
bcel-devel: not available, but bcel is
Comment 1 Gary Benson 2003-08-06 11:46:25 EDT
The requirements for the -devel packages were erroneous and have been removed
ready for the next beta.  You can either replace the -devel BuildPrereqs with
dependencies on the main packages, or grab the latest rpms from
http://people.redhat.com/gbenson/naoko/.

gcc-c++-ssa is another matter -- is that not on one of the disks?
Comment 2 Gary Benson 2003-08-06 11:54:34 EDT
*** Bug 101757 has been marked as a duplicate of this bug. ***
Comment 3 Bill Nottingham 2003-08-06 12:18:36 EDT
gcc-c++-ssa was missing, should be fixed in newer builds/pushes.
Comment 4 Gary Benson 2003-08-06 12:54:17 EDT
gcc-c++-ssa will be in the next beta.
Comment 5 Jay Turner 2003-08-06 21:22:37 EDT
Fix confirmed with ant-1.5.2-15.  The dependencies are correct and . . .

[root@jkt3 SRPMS]# cd /mnt/redhat/test/Taroon-re0805.1/i386/i386-as/RedHat/RPMS/
[root@jkt3 RPMS]# ls gcc-c++-ssa*
gcc-c++-ssa-3.5ssa-0.20030801.26.i386.rpm

Note You need to log in before you can comment on or make changes to this bug.